Template effects
Template special effects generation. Official document: https://cloud.tencent.com/document/product/266/126240
POST
/tencent-vod/v1/template-effectBody Parametersapplication/json
ext_info* object
Extended info
properties AdditionalParameters* object
Additional parameters
file_infos array
A list of up to three asset images describing the asset images to be used by the model when generating the video. Note: 1. The image size does not exceed 10M. 2. Supported image formats: jpeg, png.
items object object
prompt string
prompt word
scene_type* string
Value template_effect
Responses
200 success application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"ext_info": {
3"AdditionalParameters": {
4"template": "morphlab"
5}
6},
7"file_infos": [
8{
9"category": "Image",
10"type": "Url",
11"url": "https://image01.vidu.zone/vidu/example/20241206-175531.jpeg"
12}
13],
14"prompt": "视频内容\\n画面开始主体突然爆炸,细碎的颗粒爆炸开来\\n# 要求\\n1.根据用户上传图片确定主体数量,每个主体都要爆炸\\n2.Motion Level 设定为:Middle\\n3.以>我的视频内容为第一要素,背景的描述统一、合理,不要描述两次.",
15"scene_type": "template_effect"
16}
1curl -X POST "https://api.digislash.com/tencent-vod/v1/template-effect" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"ext_info": {
6"AdditionalParameters": {
7"template": "morphlab"
8}
9},
10"file_infos": [
11{
12"category": "Image",
13"type": "Url",
14"url": "https://image01.vidu.zone/vidu/example/20241206-175531.jpeg"
15}
16],
17"prompt": "视频内容\\n画面开始主体突然爆炸,细碎的颗粒爆炸开来\\n# 要求\\n1.根据用户上传图片确定主体数量,每个主体都要爆炸\\n2.Motion Level 设定为:Middle\\n3.以>我的视频内容为第一要素,背景的描述统一、合理,不要描述两次.",
18"scene_type": "template_effect"
19}'
1▼{
2▼"Response": {
3"RequestId": "req-example",
4"TaskId": "task-example"
5}
6}
